%define name            cryptsetup
%define version         1.0.7
%define release         %mkrel 2
%define	major		0
%define	libname		%mklibname cryptsetup %major
%define	dlibname	%mklibname cryptsetup -d

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Utility for setting up encrypted filesystems
License: GPL
Group: System/Base
URL: http://code.google.com/p/cryptsetup/
Source0: http://cryptsetup.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1: http://cryptsetup.googlecode.com/files/%{name}-%{version}.tar.bz2.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libgcrypt-devel >= 1.1.42
BuildRequires: libgpg-error-devel
BuildRequires: libdevmapper-devel
BuildRequires: libuuid-devel
BuildRequires: libpopt-devel
BuildRequires: glibc-static-devel
Obsoletes: cryptsetup-luks < 1.0.5
Provides: cryptsetup-luks = %{version}-%{release}

%description
LUKS is the upcoming standard for Linux hard disk encryption. 
By providing a standard on-disk-format, it does not only facilitate 
compatibility among distributions, but also provide secure management 
of multiple user passwords. In contrast to existing solution, LUKS stores 
all setup necessary setup information in the partition header, enabling 
the user to transport or migrate his data seamlessly.
LUKS for dm-crypt is implemented in cryptsetup. cryptsetup-luks is
as a complete replacement for the original cryptsetup. It provides all the 
functionally of the original version plus all LUKS features, that are 
accessible by luks* action.

%package -n %libname
Summary: Library for setting up encrypted filesystems
Group: System/Libraries

%description -n %libname
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

This package contains the shared libraries required for running
programs which use cryptsetup-luks.


%package -n %dlibname
Summary: Development library for setting up encrypted filesystems
Group: Development/C
Requires: libgcrypt-devel >= 1.1.42
Requires: libgpg-error-devel
Requires: libdevmapper-devel
Requires: libext2fs-devel
Requires: libpopt-devel
Obsoletes: %mklibname -d cryptsetup 0

%description -n %dlibname
LUKS is the upcoming standard for Linux hard disk encryption.
By providing a standard on-disk-format, it does not only facilitate
compatibility among distributions, but also provide secure management
of multiple user passwords. In contrast to existing solution, LUKS stores
all setup necessary setup information in the partition header, enabling
the user to transport or migrate his data seamlessly.

This package contains the header files and development libraries
for building programs which use cryptsetup-luks.

%prep
%setup -q

%build
# static build for security reasons, and disable selinux
%configure2_5x --disable-selinux --enable-static --sbindir=/sbin --libdir=/%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# move libcryptsetup.so to %{_libdir}
pushd %{buildroot}/%{_lib}
rm libcryptsetup.so
mkdir -p %{buildroot}/%{_libdir}
ln -s ../../%{_lib}/$(ls libcryptsetup.so.?.?.?) %{buildroot}/%{_libdir}/libcryptsetup.so
mv *.{a,la} %buildroot%_libdir
popd

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
%{_mandir}/man8/cryptsetup.8*
/sbin/cryptsetup

%files -n %dlibname
%{_includedir}/libcryptsetup.h
%{_libdir}/libcryptsetup.a
%{_libdir}/libcryptsetup.la
%{_libdir}/libcryptsetup.so

%files -n %libname
/%{_lib}/libcryptsetup.so.%{major}*


%changelog
* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.0.7-2mdv2010.0
+ Revision: 409019
- Updated buildrequires for libuuid.
- rebuild with new libuuid

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 399843
- Update to new version 1.0.7
- Fix URL and SOURCE location
- Use new --disable-selinux ./configure option to disable selinux
- Remove udevsettle patch: 1.0.7 does not call udevsettle anymore now

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.6-4mdv2009.1
+ Revision: 350751
- rebuild

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 1.0.6-3mdv2009.0
+ Revision: 278110
- use udevadm to settle for udev events (#43350, patch from upstream SVN)
- remove udevsettle patch (merged upstream)

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.6-2mdv2009.0
+ Revision: 264381
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 1.0.6-1mdv2009.0
+ Revision: 214094
- there is no use remove .so.major, as it is the soname
- New version 1.0.6

* Wed Jan 16 2008 Andreas Hasenack <andreas@mandriva.com> 1.0.5-5mdv2008.1
+ Revision: 153759
- fix race condition with udev by calling udevsettle (patch from ubuntu/debian/suse)

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-4mdv2008.1
+ Revision: 149141
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 25 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.5-3mdv2008.0
+ Revision: 92837
- Patch0 (Fedora): add support for LUKS encrypted CD/DVD

* Tue May 08 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.5-2mdv2008.0
+ Revision: 25051
- upstream re-released 1.0.5 with a fix, no need for
  "odd" patch anymore

* Mon May 07 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 24624
- updated to version 1.0.5
- cryptsetup-luks was merged with cryptsetup (upstream rename). There Is Only One now.

* Tue Apr 24 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-2mdv2008.0
+ Revision: 17886
- Rebuild for 2008.0
- use new macro

